Bug 1125921 - terminal's click-to-select changed behaviour, selection now includes surrounding special chars
Summary: terminal's click-to-select changed behaviour, selection now includes surround...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 22
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 10:56 UTC by lejeczek
Modified: 2016-07-19 19:02 UTC (History)
5 users (show)

Fixed In Version: vte3-0.36.4-1.fc22.x86_64
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 19:02:56 UTC


Attachments (Terms of Use)

Description lejeczek 2014-08-01 10:56:29 UTC
Description of problem:

is there are " surrounding text then they get selected/included
another examples could be urls, a snippet of html

>please use https://172.22.12.2/myR-a/</a></h1>

result:

https://131.111.42.75/myR-a/<

browsers shows:

/%3C not found


Version-Release number of selected component (if applicable):

gnome-terminal-3.13.2-1.fc21.x86_64
gnome-terminal-nautilus-3.13.2-1.fc21.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Egmont Koblinger 2014-08-01 12:28:10 UTC
The behavior was already changed in git master:
https://bugzilla.gnome.org/show_bug.cgi?id=730632#c11

Comment 2 Jaroslav Reznik 2015-03-03 16:10:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Egmont Koblinger 2015-05-06 08:13:20 UTC
The bugreport is about vte291-0.38.x and gnome-terminal 3.14 which removed this feature; not about vte3-0.36.x which is used by gnome-terminal <= 3.12.

Comment 4 Pete Zaitcev 2015-05-06 14:19:40 UTC
I don't understand. For me, the sequence of events was:
 - I installed Fedora 21. The double-clock broke.
 - I installed Fedora 22. The problem is gone.

I verified retroactively, and F21 has (broken):
vte3-0.36.3-3.fc21.x86_64
gnome-terminal-3.14.2-2.fc21.x86_64

F22 Beta has (working):
vte3-0.36.4-1.fc22.x86_64,
gnome-terminal-3.16.1-1.fc22.x86_64

How is this possible?

Comment 5 Egmont Koblinger 2015-05-06 15:47:42 UTC
Gnome-terminal >= 3.14 does not / can not use vte3 <= 0.36.  Instead, it uses vte291 >= 0.38.

vte291-0.40 (as currently in Rawhide) changed the set compared to 0.38, and allows it to be customized again (gnome-terminal 3.16 has a hidden dconf setting for this, not available on the UI).

Comment 6 Egmont Koblinger 2015-05-06 15:53:49 UTC
... that is, the bug could be closed as fixed, but the "fixed in version" should point to vte291-0.40...

Comment 7 Fedora End Of Life 2016-07-19 19:02:56 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.